Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.repackage
Class Repackage

    java.lang.Object
      org.apache.xmlbeans.impl.repackage.Repackage

    public class Repackage

extends java.lang.Object

Method Summary
`static void` | `copy(java.io.InputStream in, java.io.OutputStream out)`
`static void` | `copy(java.io.Reader r, java.io.Writer w)`
`static void` | `copyFile(java.io.File from, java.io.File to)`
`void` | `fillFiles(java.util.ArrayList files, java.io.File file)`
`void` | `finishMovingFiles()`
`void` | `justMoveNonJavaFile(java.lang.String sourceName, java.lang.String targetName)`
`static void` | `main(java.lang.String[] args)`
`void` | `moveAlongWithJavaFiles(java.lang.String name)`
`void` | `recursiveDelete(java.io.File file)`
`void` | `repackage()`
`void` | `repackageFile(java.lang.String name)`
`void` | `repackageJavaFile(java.lang.String name)`
`void` | `repackageNonJavaFile(java.lang.String name)`
`void` | `repackageNonJavaFile(java.lang.String sourceName, java.lang.String targetName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### repackage

    public void repackage()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### repackageFile

    public void repackageFile(java.lang.String name)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### moveAlongWithJavaFiles

    public void moveAlongWithJavaFiles(java.lang.String name)

### finishMovingFiles

    public void finishMovingFiles()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### repackageNonJavaFile

    public void repackageNonJavaFile(java.lang.String name)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### repackageNonJavaFile

    public void repackageNonJavaFile(java.lang.String sourceName,
                                     java.lang.String targetName)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### justMoveNonJavaFile

    public void justMoveNonJavaFile(java.lang.String sourceName,
                                    java.lang.String targetName)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### repackageJavaFile

    public void repackageJavaFile(java.lang.String name)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### copyFile

    public static void copyFile(java.io.File from,
                                java.io.File to)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public static void copy(java.io.InputStream in,
                            java.io.OutputStream out)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### copy

    public static void copy(java.io.Reader r,
                            java.io.Writer w)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### fillFiles

    public void fillFiles(java.util.ArrayList files,
                          java.io.File file)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### recursiveDelete

    public void recursiveDelete(java.io.File file)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD